io_uring_register_probe(3)

NAME
io_uring_register_probe - register probe with io_uring

SYNOPSIS
#include <liburing.h>

int io_uring_register_probe(struct io_uring *ring,
                            struct io_uring_probe *p,
                            unsigned nr);

DESCRIPTION

The io_uring_register_probe(3) function queries the kernel for supported io_uring opcodes and fills in the probe structure p. The ring argument specifies the io_uring instance to query, and nr specifies the maximum number of opcodes to query.

The probe structure contains information about which opcodes are supported by the kernel. Applications can use io_uring_opcode_supported(3) to check if a specific opcode is supported after calling this function.

Most applications should use io_uring_get_probe(3) or io_uring_get_probe_ring(3) instead, which allocate and fill in the probe structure automatically.

RETURN VALUE
Returns 0 on success. On error, a negative errno value is returned.

SEE ALSO
io_uring_get_probe(3), io_uring_get_probe_ring(3), io_uring_opcode_supported(3), io_uring_free_probe(3), io_uring_register(2)